[global]
	; ADS setup to use kerberos 
  	workgroup = AD
  	security = ads
  	realm = AD.CS.WISC.EDU
	password server = bunyan.cs.wisc.edu
	encrypt passwords = yes
	;
        comment = SMB printing gateway
        netbios name = ASTRID
        server string = Samba Server %h (Version %v)
        log level = 5
        log file = /var/log/samba/%m.log
        max log size = 50
        socket options = TCP_NODELAY SO_RCVBUF=8192 SO_SNDBUF=8192
        ; dns proxy = yes
        null passwords = no
        ;; don't print errors about not connecting to cups server
        load printers = no
        printing = lprng
        printcap name = /dev/null
	;print command = /s/samba/common/bin/lpr %p %s 
	;print command = /tmp/lpr %p %u %s 
	;print command = /usr/csl/bin/lpr -P%p -U%u -J'%s'
	map to guest = Bad Uid
	print command = /usr/csl/bin/lpr.bin -b -P%p -r -J"%J" %s
	lpq command   = /usr/csl/bin/lpq -P%p
	lprm command  = /usr/csl/bin/lprm -P%p %j
	printcap name = /s/lprng/etc/printcap
	min protocol = SMB2
	max protocol = SMB2

[print$]
        comment = Printer Driver Download Area
        path = /var/adm/samba/drivers
        browseable = yes
        guest ok = yes
        read only = yes
        write list = @ntadmin, root, winroot, john, @staff

[copier-2]
        comment = 2nd floor copy machine
        path = /usr/spool/samba
        browseable = yes
        public = no 
        writable = no
        printable = yes
	guest ok = yes
        create mode = 700 
        use client driver = yes

[copier-3]
        comment = 3rd floor copy machine
        path = /usr/spool/samba
        browseable = yes
        public = no 
        writable = no
        printable = yes
	guest ok = yes
        create mode = 700 
        use client driver = yes

[copier-4a]
        comment = 4th floor copy machine
        path = /usr/spool/samba
        browseable = yes
        public = no 
        writable = no
        printable = yes
	guest ok = yes
        create mode = 700 
        use client driver = yes

[copier-4b]
        comment = 4th floor copy machine unit II
        path = /usr/spool/samba
        browseable = yes
        public = no 
        writable = no
        printable = yes
	guest ok = yes
        create mode = 700 
        use client driver = yes

[copier-5]
        comment = 5th floor copy machine
        path = /usr/spool/samba
        browseable = yes
        public = no 
        writable = no
        printable = yes
	guest ok = yes
        create mode = 700 
        use client driver = yes

[copier-6]
        comment = 6th floor copy machine
        path = /usr/spool/samba
        browseable = yes
        public = no 
        writable = no
        printable = yes
	guest ok = yes
        create mode = 700 
        use client driver = yes

[copier-7]
        comment = 7th floor copy machine
        path = /usr/spool/samba
        browseable = yes
        public = no 
        writable = no
        printable = yes
	guest ok = yes
        create mode = 700 
        use client driver = yes

[accounting]
        comment = Printer for Accounting
        path = /usr/spool/samba
        browseable = yes
        public = no 
        writable = no
        printable = yes
        create mode = 700 
        use client driver = yes

[administration]
        comment = Printer for Department Administrator
        path = /usr/spool/samba
        browseable = yes
        public = no 
        writable = no
        printable = yes
        create mode = 700 
        use client driver = yes

[bond]
        comment = Bond printer in 5352
        path = /usr/spool/samba
        browseable = yes
        public = no 
        writable = no
        printable = yes
        create mode = 700 
        use client driver = yes

[c5]
        comment = 5th floor color printer
        path = /usr/spool/samba
        browseable = yes
        public = no 
        writable = no
        printable = yes
        create mode = 700 
        use client driver = yes

[envelope]
        comment = Envelope printer in 5352
        path = /usr/spool/samba
        browseable = yes
        public = no 
        writable = no
        printable = yes
        create mode = 700 
        use client driver = yes

[gradcoord]
        comment = Printer for Department Administrator
        path = /usr/spool/samba
        browseable = yes
        public = no 
        writable = no
        printable = yes
        create mode = 700 
        use client driver = yes

[gradcoord2]
        comment = Grad coordinator #2 printer
        path = /usr/spool/samba
        browseable = yes
        public = no 
        writable = no
        printable = yes
        create mode = 700 
        use client driver = yes

[grants]
        comment = Printer for Grants Coordinator
        path = /usr/spool/samba
        browseable = yes
        public = no 
        writable = no
        printable = yes
        create mode = 700 
        use client driver = yes

[graphics-vision]
        comment = Printer for Graphics Lab
        path = /usr/spool/samba
        browseable = yes
        public = no 
        writable = no
        printable = yes
        create mode = 700 
        use client driver = yes

[hr]
        comment = Printer for Human Resources
        path = /usr/spool/samba
        browseable = yes
        public = no 
        writable = no
        printable = yes
	guest ok = yes
        create mode = 700 
        use client driver = yes

[lab-cl]
        comment = Lab color printer
        path = /usr/spool/samba
        browseable = yes
        public = no 
        writable = no
        printable = yes
        create mode = 700 
        use client driver = yes

[laser]
        comment = Instructional Printers
        path = /usr/spool/samba
        browseable = yes
        public = no 
        writable = no
        printable = yes
        create mode = 700 
        use client driver = yes

[letterhead]
        comment = Letterhead Printer in 5352
        path = /usr/spool/samba
        browseable = yes
        public = no 
        writable = no
        printable = yes
        create mode = 700 
        use client driver = yes

[mcf]
        comment = Michael Ferris' Printer
        path = /usr/spool/samba
        browseable = yes
        public = no 
        writable = no
        printable = yes
        create mode = 700 
        use client driver = yes

[olm]
        comment = Olvi's Printer
        path = /usr/spool/samba
        browseable = yes
        public = no 
        writable = no
        printable = yes
        create mode = 700 
        use client driver = yes

[pr4366]
        comment = Condor Project Assistant Printer
        path = /usr/spool/samba
        browseable = yes
        public = no 
        writable = no
        printable = yes
        create mode = 700 
        use client driver = yes

[publicity]
        comment = Publicity specialist printer
        path = /usr/spool/samba
        browseable = yes
        public = no 
        writable = no
        printable = yes
        create mode = 700 
        use client driver = yes

[reception]
        comment = Receptionist printer
        path = /usr/spool/samba
        browseable = yes
        public = no 
        writable = no
        printable = yes
        create mode = 700 
        use client driver = yes

[sjw]
        comment = Steven Wright printer
        path = /usr/spool/samba
        browseable = yes
        public = no 
        writable = no
        printable = yes
        create mode = 700 
        use client driver = yes

[pmppcp]
        comment = PMP/PCP coordinator printer
        path = /usr/spool/samba
        browseable = yes
        public = no 
        writable = no
        printable = yes
        create mode = 700 
        use client driver = yes

[travel]
        comment = Travel coordinator printer
        path = /usr/spool/samba
        browseable = yes
        public = no 
        writable = no
        printable = yes
	guest ok = yes
        create mode = 700 
        use client driver = yes

[ugrad]
        comment = Ugrad coordinator printer
        path = /usr/spool/samba
        browseable = yes
        public = no 
        writable = no
        printable = yes
        create mode = 700 
        use client driver = yes

[ugrad2]
        comment = Ugrad coordinator #2 printer
        path = /usr/spool/samba
        browseable = yes
        public = no 
        writable = no
        printable = yes
        create mode = 700 
        use client driver = yes

[ugrad3]
        comment = Ugrad coordinator #3 printer
        path = /usr/spool/samba
        browseable = yes
        public = no 
        writable = no
        printable = yes
        create mode = 700 
        use client driver = yes

[zzzz-def]
        comment = Default NT queue for those who don't specify a default printer
        path = /usr/spool/samba
        browseable = yes
        public = no
        writable = no
        printable = yes
	guest ok = yes
        create mode = 700

